org.apache.hadoop.yarn.webapp.hamlet

## Interface HamletSpec._Tr

- All Superinterfaces:
    HamletSpec._, HamletSpec._Child
  All Known Subinterfaces:
    HamletSpec.TR
  All Known Implementing Classes:
    Hamlet.TR
  Enclosing class:
    HamletSpec

      public static interface HamletSpec._Tr
      extends HamletSpec._Child

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.TD` | `td()` Add a TD element.
    `HamletSpec._Tr` | `td(String cdata)` Add a TD element.
    `HamletSpec._Tr` | `td(String selector, String cdata)` Add a TD element.
    `HamletSpec.TH` | `th()` Add a TH element.
    `HamletSpec._Tr` | `th(String cdata)` Add a complete TH element.
    `HamletSpec._Tr` | `th(String selector, String cdata)` Add a TH element.

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet.HamletSpec._Child

      `_`

- - ### Method Detail

    - #### th

          HamletSpec.TH th()

      Add a TH element.
      Returns:
        a new TH element builder

    - #### th

          HamletSpec._Tr th(String cdata)

      Add a complete TH element.
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

    - #### th

          HamletSpec._Tr th(String selector,
                            String cdata)

      Add a TH element.
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
        `cdata` - the content
      Returns:
        the current element builder

    - #### td

          HamletSpec.TD td()

      Add a TD element.
      Returns:
        a new TD element builder

    - #### td

          HamletSpec._Tr td(String cdata)

      Add a TD element.
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

    - #### td

          HamletSpec._Tr td(String selector,
                            String cdata)

      Add a TD element.
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
        `cdata` - the content
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.